#include "cd4094.h"

void Write_cd4094(unsigned char _data)
{
	unsigned char _i;
    CD4094_CLK_OUT();
    CD4094_DAT_OUT();
	for(_i=0;_i<8;_i++)
	{
		CD4094_CLK_OUTL();
		if(_data&0x80)
		{
			CD4094_DAT_OUTH();
		}
		else
		{
			CD4094_DAT_OUTL();
		}
		delay_us(1);
			
		CD4094_CLK_OUTH();
		_data=_data<<1;
		delay_us(1);
		
	}
}
